package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type MatLib struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	CraftId    primitive.ObjectID `bson:"craftId,omitempty" json:"craftId"`
	Name       string             `bson:"name,omitempty" json:"name"`
	CusNum     string             `bson:"cusNum,omitempty" json:"cusNum"`
	Cover      string             `bson:"cover,omitempty" json:"cover"`
	Order      int32              `bson:"order,omitempty" json:"order"`
	DotQueen   string             `bson:"dotqueen,omitempty" json:"dotqueen"`
	Blend      string             `bson:"blend,omitempty" json:"blend"`
	Categories []string           `bson:"categories,omitempty" json:"categories"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time          `bson:"updateTime,omitempty" json:"updateTime"`
}
