package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type Craft struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Name       string             `bson:"name,omitempty" json:"name"`
	Desc       string             `bson:"desc,omitempty" json:"desc"`
	SurfArt    string             `bson:"surfArt,omitempty" json:"surfArt"`
	ShapArt    string             `bson:"shapArt,omitempty" json:"shapArt"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time          `bson:"updateTime,omitempty" json:"updateTime"`
}
